Subject: Re: bug#59766: 29.0.60; Allow inhibit-message when comp--native-compile performs Deleting temporary file
From: Eli Zaretskii <[email-masked]>
To: daanturo <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Dec 2022 22:10:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 2 Dec 2022 14:18:48 +0700
> From: daanturo <[email-masked]>
> 
> 
> 
> Lately I have been a lot of those messages, compared to Emacs 28, like:
> 
> Deleting /tmp/freefn-2b656d6163732d6c6973702d686967686c696768742d766172732d616e642d6661636573_emacs_lisp_highlight_vars_and_faces_0s4Br6t.eln
> Deleting /tmp/freefn-2b656d6163732d6c6973702d7472756e636174652d70696e_emacs_lisp_truncate_pin_0TUNdtt.eln
> Deleting /tmp/freefn-2b656d6163732d6c6973702d2d63616c63756c6174652d6c6973702d696e64656e742d61_emacs_lisp__calculate_lisp_indent_a_0QqYMkT.eln
> 
> Deleting /tmp/freefn-2b656d6163732d6c6973702d686967686c696768742d766172732d616e642d6661636573_emacs_lisp_highlight_vars_and_faces_0SGyup1.eln
> Deleting /tmp/freefn-2b656d6163732d6c6973702d7472756e636174652d70696e_emacs_lisp_truncate_pin_0tKqOUb.eln
> Deleting /tmp/freefn-2b656d6163732d6c6973702d2d63616c63756c6174652d6c6973702d696e64656e742d61_emacs_lisp__calculate_lisp_indent_a_0EhPIx2.eln
> 
> 
> I suspect it's because of this:
> https://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/emacs-lisp/comp.el?h=2e4960d63df27395f4d9a7b15a5f9c5b872f4b06#n4118

I've now removed that call to 'message'.

I think this fixes the bug, so I'm closing it.